#ifndef __AP_SHEET_H__
#define __AP_SHEET_H__

#include <glib.h>

G_BEGIN_DECLS

#define AP_TYPE_SHEET (ap_sheet_get_type ())

G_DECLARE_FINAL_TYPE (APSheet, ap_sheet, AP, SHEET, GObject)

typedef struct _APSheetXml {
	APGameXml game;
	APBioXml bio;
	APStatsXml stats;
	APAttacksXml attacks;
	APInventoryXml inventory;
} APSheetXml;

APSheet *
ap_sheet_new (void);

G_END_DECLS

#endif /* __AP_SHEET_H__ */

